// I run it like this:
//
// IONFLAGS=codegen dist/bin/js --no-wasm-ion unroll0.js > foo0.txt 2>&1
//
// and then I open foo0.txt and search for 0x1337, there should be exactly one
// of those.  The frame init code precedes the line with that constant.

// No locals: we should not store or init anything.

var bin = wasmTextToBinary(
    `(module
      (func (result i32)
       (i32.const 0x1337))
      (export "" 0))`);

var mod = new WebAssembly.Module(bin);
var ins = new WebAssembly.Instance(mod);
assertEq(ins.exports[""](), 0x1337);
