// I run it like this:
//
// IONFLAGS=codegen dist/bin/js --no-wasm-ion unroll1.js > foo1.txt 2>&1
//
// and then I open foo1.txt and search for 0x1337, there should be exactly one
// of those.  The frame init code precedes the line with that constant.

// One local: no loop, and a single store (32-bit on 32-bit systems, 64-bit on
// 64-bit systems).

var bin = wasmTextToBinary(
    `(module
      (func (result i32)
       (local i32)
       (i32.const 0x1337))
      (export "" 0))`);

var mod = new WebAssembly.Module(bin);
var ins = new WebAssembly.Instance(mod);
assertEq(ins.exports[""](), 0x1337);
