// I run it like this:
//
// IONFLAGS=codegen dist/bin/js --no-wasm-ion unroll31.js > foo31.txt 2>&1
//
// and then I open foo31.txt and search for 0x1337, there should be exactly one
// of those.  The frame init code precedes the line with that constant.

// 31 locals: 31 32-bit stores on 32-bit systems, 16 64-bit stores on 64-bit
// systems, no pointer computation or compare/branch in either case, we should
// still be fully unrolled (assuming unroll limit of 16).

var bin = wasmTextToBinary(
    `(module
      (func (result i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (i32.const 0x1337))
      (export "" 0))`);

var mod = new WebAssembly.Module(bin);
var ins = new WebAssembly.Instance(mod);
assertEq(ins.exports[""](), 0x1337);
