// I run it like this:
//
// IONFLAGS=codegen dist/bin/js --no-wasm-ion unroll32.js > foo32.txt 2>&1
//
// and then I open foo32.txt and search for 0x1337, there should be exactly one
// of those.  The frame init code precedes the line with that constant.

// 32 locals: 16 32-bit stores on 32-bit systems in a loop with no tail; 16
// 64-bit stores on 64-bit systems (not in a loop).

var bin = wasmTextToBinary(
    `(module
      (func (result i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (i32.const 0x1337))
      (export "" 0))`);

var mod = new WebAssembly.Module(bin);
var ins = new WebAssembly.Instance(mod);
assertEq(ins.exports[""](), 0x1337);
