// I run it like this:
//
// IONFLAGS=codegen dist/bin/js --no-wasm-ion unroll62.js > foo62.txt 2>&1
//
// and then I open foo62.txt and search for 0x1337, there should be exactly one
// of those.  The frame init code precedes the line with that constant.

// 62 locals: 16 32-bit stores on 32-bit systems, in a loop, with a loop tail of
// 14 32-bit stores.  31 64-bit stores on 64-bit systems, unrolled.

var bin = wasmTextToBinary(
    `(module
      (func (result i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (local i32) (local i32) (local i32) (local i32) (local i32) (local i32)
       (i32.const 0x1337))
      (export "" 0))`);
var mod = new WebAssembly.Module(bin);
var ins = new WebAssembly.Instance(mod);
assertEq(ins.exports[""](), 0x1337);

